@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

body {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;

    margin: 0;
    font-family: 'Montserrat', sans-serif;
    background-color: #eaf1ff;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    min-width: 100vw;
}

.top-logo {
    margin-top: clamp(15px, 3.75vw, 20px);
    margin-bottom: clamp(15px, 3.75vw, 20px);
    display: flex;
    justify-content: center;
    align-items: center;
}

img {
    width: clamp(150px, 37.5vw, 200px);
}

/* Контейнер */
.container {
    background-color: #ffffff;
    padding: 0px;
    border-radius: 20px;
    box-shadow: 0 0 20px rgba(0,0,0,0.1);

    width: 100%;        
    max-width: clamp(300px, 75vw, 400px);
    box-sizing: border-box;
    text-align: center;
}

.container2 {
    padding: clamp(20px, 5vw, 30px) clamp(30px, 7.5vw, 40px) clamp(30px, 7.5vw, 40px) clamp(30px, 7.5vw, 40px);
}

/* Заголовок */
.container h1 {
    margin-top: 0px;
    font-size: clamp(17.5px, 4.375vw, 20px);
    margin-bottom: clamp(20px, 5vw, 30px);
    color: #000000;
    font-weight: 600;
}

/* Поле ввода */
.container input {
    width: 100%;
    padding: clamp(12.5px, 3.125vw, 15px);
    font-size: clamp(12.5px, 3.125vw, 15px);
    color: #000000;
    border: 1px solid #cccccc;
    border-radius: 15px;
    margin-bottom: clamp(15px, 3.75vw, 20px);
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
}

/* Кнопка */
.container button {
    width: 100%;
    padding: clamp(12.5px, 3.125vw, 15px);
    font-size: clamp(12.5px, 3.125vw, 15px);
    background-color: #0057ff;
    color: #ffffff;
    border: none;
    border-radius: 15px;
    cursor: pointer;
    transition: background 0.2s ease;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
}

.container button:hover {
    background-color: #0045cf;
}

/* Сообщение */
.message {
    font-size: clamp(12.5px, 3.125vw, 15px);
    font-weight: 400;
}

.hidden { display: none; }

@media (max-width: 450px) {
  .container {
    margin-left: 20px;
    margin-right: 20px;
  }

}